Skip to main content
GET
/
v1
/
indicator-mappings
List Indicator Mappings
curl --request GET \
  --url https://api.example.com/v1/indicator-mappings
{
  "data": [
    {
      "uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "source_name": "<string>",
      "field_path": "<string>",
      "indicator_type": "<string>",
      "extraction_target": "<string>",
      "is_system": true,
      "is_active": true,
      "description": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "meta": {
    "total": 123,
    "page": 123,
    "page_size": 123,
    "total_pages": 123
  }
}

Query Parameters

source_name
string | null
is_system
boolean | null
is_active
boolean | null
extraction_target
string | null
page
integer
default:1

Page number (1-indexed)

Required range: x >= 1
page_size
integer
default:50

Items per page (max 500)

Required range: 1 <= x <= 500

Response

Successful Response

data
IndicatorFieldMappingResponse · object[]
required
meta
PaginationMeta · object
required